Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661548 - lxqt-base/lxqt-notificationd-0.11.0 : /.../notification.cpp:219:5: error: QStyleOption was not declared in this scope
Summary: lxqt-base/lxqt-notificationd-0.11.0 : /.../notification.cpp:219:5: error: QSt...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LxQt maintainers
URL:
Whiteboard:
Keywords:
Depends on: 605266 lxqt-0.13.0-stable
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-07-18 19:20 UTC by Toralf Förster
Modified: 2018-08-25 12:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.16 KB, text/plain)
2018-07-18 19:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,83.55 KB, text/plain)
2018-07-18 19:20 UTC, Toralf Förster
Details
environment (environment,108.69 KB, text/plain)
2018-07-18 19:20 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.89 KB, application/x-bzip)
2018-07-18 19:20 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.72 KB, application/x-bzip)
2018-07-18 19:20 UTC, Toralf Förster
Details
lxqt-base:lxqt-notificationd-0.11.0:20180718-185445.log (lxqt-base:lxqt-notificationd-0.11.0:20180718-185445.log,33.67 KB, text/plain)
2018-07-18 19:20 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,29.10 KB, application/x-bzip)
2018-07-18 19:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-07-18 19:20:14 UTC
/var/tmp/portage/lxqt-base/lxqt-notificationd-0.11.0/work/lxqt-notificationd-0.11.0/src/notification.cpp: In member function ‘virtual void Notification::paintEvent(QPaintEvent*)’:
/var/tmp/portage/lxqt-base/lxqt-notificationd-0.11.0/work/lxqt-notificationd-0.11.0/src/notification.cpp:219:5: error: ‘QStyleOption’ was not declared in this scope
     QStyleOption opt;
     ^~~~~~~~~~~~
/var/tmp/portage/lxqt-base/lxqt-notificationd-0.11.0/work/lxqt-notificationd-0.11.0/src/notification.cpp:219:5: note: suggested alternative: ‘QStyleOptionFrame’

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-developer_libressl_20180716-204945

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv lxqt-base/lxqt-notificationd
[ebuild  N    ] lxqt-base/lxqt-notificationd-0.11.0
Comment 1 Toralf Förster gentoo-dev 2018-07-18 19:20:17 UTC
Created attachment 540030 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-07-18 19:20:20 UTC
Created attachment 540032 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-07-18 19:20:23 UTC
Created attachment 540034 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-07-18 19:20:26 UTC
Created attachment 540036 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-07-18 19:20:28 UTC
Created attachment 540038 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-07-18 19:20:31 UTC
Created attachment 540040 [details]
lxqt-base:lxqt-notificationd-0.11.0:20180718-185445.log
Comment 7 Toralf Förster gentoo-dev 2018-07-18 19:20:34 UTC
Created attachment 540042 [details]
temp.tbz2
Comment 9 Xavier Miller gentoo-dev 2018-08-02 09:35:17 UTC
(In reply to Andrey Volkov from comment #8)
> https://github.com/lxqt/lxqt-notificationd/commit/
> 197da5238fae14fe99f2d54531b1d693f3f86a6d

This patch solves the issue
Comment 10 Andreas Sturmlechner gentoo-dev 2018-08-17 21:17:17 UTC
So is this finally fixed by 0.13.0?
Comment 11 Chiitoo gentoo-dev 2018-08-17 22:22:10 UTC
Thanks for the reminder!

Fixed in 0.13.0, which is finally in Portage.